%define name    testdisk
%define version 6.10
%define rel     %mkrel 1
%define ver_e2fsprogs 1.35
%define ver_progsreiserfs 0.3.1-rc8
%define ver_ntfsprogs 2.0.0

Summary:	Tool to check and undelete partition
Summary(pl):	Narzdzie sprawdzajce i odzyskujce partycje
Summary(fr):	Outil pour vrifier et restaurer des partitions
Name:		%name
Version:	%version
Release:	%rel
License:	GPLv2+
Group:		System/Kernel and hardware
Source0:	http://www.cgsecurity.org/%{name}-%{version}.tar.bz2
Source1:	progsreiserfs-%ver_progsreiserfs.tar.bz2
Patch0:		progsreiserfs-journal.patch
URL:		http://www.cgsecurity.org/wiki/TestDisk
BuildRequires:	ncurses-devel >= 5.2
BuildRequires:  e2fsprogs-devel >= %ver_e2fsprogs
BuildRequires:  libntfs-devel >= %ver_ntfsprogs
BuildRequires:	jpeg-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%package -n photorec
Summary:	Data recovery software
Group:		System/Kernel and hardware

%description
Tool to check and undelete partition. Works with the following
filesystems:
    * BeFS ( BeOS )
    * BSD disklabel ( FreeBSD/OpenBSD/NetBSD )
    * CramFS, Compressed File System
    * DOS/Windows FAT12, FAT16 and FAT32
    * HFS and HFS+, Hierarchical File System
    * JFS, IBM's Journaled File System
    * Linux Ext2 and Ext3
    * Linux Raid
          o RAID 1: mirroring
          o RAID 4: striped array with parity device
          o RAID 5: striped array with distributed parity information
          o RAID 6: striped array with distributed dual redundancy information 
    * Linux Swap (versions 1 and 2)
    * LVM and LVM2, Linux Logical Volume Manager
    * Mac partition map
    * Novell Storage Services NSS
    * NTFS ( Windows NT/2K/XP/2003/Vista )
    * ReiserFS 3.5, 3.6 and 4
    * Sun Solaris i386 disklabel
    * Unix File System UFS and UFS2 (Sun/BSD/...)
    * XFS, SGI's Journaled File System 

%description -l pl
Narzdzie sprawdzajce i odzyskujace partycje. Pracuje z partycjami:
    * BeFS ( BeOS )
    * BSD disklabel ( FreeBSD/OpenBSD/NetBSD )
    * CramFS, Compressed File System
    * DOS/Windows FAT12, FAT16 and FAT32
    * HFS and HFS+, Hierarchical File System
    * JFS, IBM's Journaled File System
    * Linux Ext2 and Ext3
    * Linux Raid
          o RAID 1: mirroring
          o RAID 4: striped array with parity device
          o RAID 5: striped array with distributed parity information
          o RAID 6: striped array with distributed dual redundancy information
    * Linux Swap (versions 1 and 2)
    * LVM and LVM2, Linux Logical Volume Manager 
    * Mac partition map
    * Novell Storage Services NSS
    * NTFS ( Windows NT/2K/XP/2003/Vista )
    * ReiserFS 3.5, 3.6 and 4
    * Sun Solaris i386 disklabel
    * Unix File System UFS and UFS2 (Sun/BSD/...)
    * XFS, SGI's Journaled File System

%description -l fr
Outil pour vrifier et restaurer des partitions. Fonctionne avec les 
systmes de fichiers suivants :

    * BeFS ( BeOS )
    * BSD disklabel ( FreeBSD/OpenBSD/NetBSD )
    * CramFS (Compressed File System)
    * DOS/Windows FAT12, FAT16 and FAT32
    * HFS et HFS+, Hierarchical File System
    * JFS, Systme de fichier journalis d'IBM
    * Linux Ext2 et Ext3
    * Linux Raid
          o RAID 1: mirroring
          o RAID 4: striped array with parity device
          o RAID 5: striped array with distributed parity information
          o RAID 6: striped array with distributed dual redundancy information 
    * Linux Swap (versions 1 et 2)
    * LVM et LVM2, Linux Logical Volume Manager
    * Netware NSS
    * NTFS ( Windows NT/2K/XP/2003 )
    * ReiserFS 3.5, 3.6 et 4
    * Sun Solaris i386 disklabel
    * UFS et UFS2 (Sun/BSD/...)
    * XFS, Systme de fichier journalis de SGI 

%description -n photorec
PhotoRec is file data recovery software designed to recover lost files
including video, documents and archives from Hard Disks and CDRom and lost
pictures (thus, its 'Photo Recovery' name) from digital camera memory.

PhotoRec ignores the filesystem and goes after the underlying data, so it
will still work even if your media's filesystem has been severely damaged
or re-formatted.

%prep
%setup -q -n %{name}-%{version}
%setup -q -a 1 -D -n %{name}-%{version}
%patch0

%build
(
cd progsreiserfs-%ver_progsreiserfs
%configure2_5x --disable-Werror
%make
)

%configure2_5x --with-reiserfs-lib=`pwd`/progsreiserfs-%ver_progsreiserfs/libreiserfs/.libs/ --with-reiserfs-includes=`pwd`/progsreiserfs-%ver_progsreiserfs/include/
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std 

rm -rf $RPM_BUILD_ROOT/%_docdir

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog INFO INSTALL NEWS README THANKS doc/*.html doc/*.gif
%attr(755,root,root) %{_sbindir}/testdisk
%{_mandir}/man1/testdisk*

%files -n photorec
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog INFO INSTALL NEWS README THANKS doc/*photorec*.html doc/*.gif
%attr(755,root,root) %{_sbindir}/photorec
%{_mandir}/man1/photorec*


%changelog
* Sat Aug 09 2008 Funda Wang <fundawang@mandriva.org> 6.10-1mdv2009.0
+ Revision: 270034
- New version 6.10

* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 6.9-3mdv2009.0
+ Revision: 225649
- rebuild

* Mon Feb 18 2008 Frederik Himpe <fhimpe@mandriva.org> 6.9-2mdv2008.1
+ Revision: 172022
- Update to 6.9 final

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 30 2007 Funda Wang <fundawang@mandriva.org> 6.9-1mdv2008.1
+ Revision: 103952
- New version 6.9
- Rebuild against latest ntfsprogs

* Wed Aug 15 2007 Pascal Terjan <pterjan@mandriva.org> 6.8-2mdv2008.0
+ Revision: 63741
- Split photorec out of testdisk rpm

* Tue Aug 14 2007 Funda Wang <fundawang@mandriva.org> 6.8-1mdv2008.0
+ Revision: 63295
- BR jpeg-devel
- enable parallel build
- New version 6.8

* Thu Jun 28 2007 Pascal Terjan <pterjan@mandriva.org> 6.7-1mdv2008.0
+ Revision: 45334
- 6.7
- Update list of supported filesystems in description


* Sun Feb 18 2007 Pascal Terjan <pterjan@mandriva.org> 6.6-1mdv2007.0
+ Revision: 122428
- 6.6

* Mon Oct 23 2006 Pascal Terjan <pterjan@mandriva.org> 6.5-1mdv2007.0
+ Revision: 71694
- 6.5
- new URL
- Import testdisk

* Wed Aug 16 2006 Pascal Terjan <pterjan@mandriva.org> 6.4-1mdv2007.0
- New release 6.4
- Silence second setup

* Tue Mar 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 6.3-2mdk
- rebuild for new libntfs

* Fri Mar 10 2006 Pascal Terjan <pterjan@mandriva.org> 6.3-1mdk
- 6.3
- Fix progsreiserfs build

* Wed Jan 11 2006 Oden Eriksson <oeriksson@mandriva.com> 6.1-2mdk
- rebuilt against new ntfs libs

* Fri Nov 18 2005 Pascal Terjan <pterjan@mandriva.org> 6.1-1mdk
- 6.1

* Mon Oct 03 2005 Pascal Terjan <pterjan@mandriva.org> 5.9-1mdk
- 5.9

* Sat Aug 13 2005 Pascal Terjan <pterjan@mandriva.org> 5.8-2mdk
- rebuild for new libntfs

* Sat Jun 25 2005 Pascal Terjan <pterjan@mandriva.org> 5.8-1mdk
- 5.8

* Tue May 03 2005 Pascal Terjan <pterjan@mandriva.org> 5.7-2mdk
- Fix everything going into doc

* Thu Apr 21 2005 Pascal Terjan <pterjan@mandriva.org> 5.7-1mdk
- 5.7
- Use system ntfsprogs

* Sun Dec 05 2004 Pascal Terjan <pterjan@mandrake.org> 5.5-1mdk
- 5.5

* Tue Nov 09 2004 Pascal Terjan <pterjan@mandrake.org> 5.4-1mdk
- 5.4

* Thu Apr 22 2004 Pascal Terjan <pterjan@mandrake.org> 5.2-1mdk
- 5.2
- Use system e2fsprogs
- Add ntfsprogs
- Update patch0

